Subject: insmod: unresolved symbol XIo_In32/XIo_Out32

From: Juliana Su <[email-masked]>
Date: Fri, 11 Jul 2008 10:26:27 -0400

Hi,

Is anybody familiar with the following error?

insmod: unresolved symbol XIo_In32
insmod: unresolved symbol XIo_Out32

I am trying to write a device driver for a Custom IP and get it to run 
on a Xilinx ML310's Linux OS. I am using Xilinx EDK 10.1 and MontaVista 
Linux version 2.4.20_mvl31-ml300. I ran into this error when trying to 
load my module into the kernel. When I try to load the module using 
insmod on the ".o" file, the module refuses to load and gives me the 
unresolved symbol error message. I actually stumbled upon an older 
posting from June 2006 on this mailing list that described a similar 
problem, but those suggestions did not help me. Maybe two years later, 
there are more ideas/suggestions/solutions to this problem?

Thanks!

-Juliana